    import {ClearButton} from 'tablefilter/src/modules/clearButton.js'

public class | source

# ClearButton

#### Extends:

Feature → ClearButton

## Constructor Summary

Public Constructor
public | constructor(tf: Object) Clear button component |

## Member Summary

Public Members
public | btnResetEl: * |
public | btnResetHtml: * |
public | btnResetText: * |
public | btnResetTgtId: * |
public | btnResetTooltip: * |
public | initialized: boolean |
public | prfxResetSpan: string |

## Method Summary

Public Methods
public | destroy() Remove clear button UI |
public | init() Build DOM elements |
public | onClick() |

## Inherited Summary

From class Feature
public | config: * |
public | emitter: * |
public | enabled: * |
public | feature: * |
public | initialized: boolean |
public | tf: * |
public | destroy() |
public | disable() |
public | enable() |
public | init() |
public | isEnabled(): * |
public | reset() |

## Public Constructors

### public constructor(tf: Object) source

Clear button component

#### Override:

Feature#constructor

#### Params:

Name | Type | Attribute | Description
tf | Object |  | TableFilter instance

## Public Members

### public btnResetEl: * source

### public btnResetHtml: * source

### public btnResetText: * source

### public btnResetTgtId: * source

### public btnResetTooltip: * source

### public initialized: boolean source

#### Override:

Feature#initialized

### public prfxResetSpan: string source

## Public Methods

### public destroy() source

Remove clear button UI

#### Override:

Feature#destroy

### public init() source

Build DOM elements

#### Override:

Feature#init

### public onClick() source